# MAT_PARTITIONING_Chaco

Creates a partitioning context via the external package Chaco.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningCreate_Chaco(MatPartitioning part)

Collective on MPI_Comm

### Input Parameter

part -the partitioning context

### Options Database Keys

| -mat_partitioning_chaco_global <multilevel | - kl> (one of) multilevel-kl spectral linear random scattered
| -mat_partitioning_chaco_local <kernighan | - lin> (one of) kernighan-lin none
| -mat_partitioning_chaco_coarse_level <0>: Coarse level (MatPartitioningChacoSetCoarseLevel) | - . -mat_partitioning_chaco_eigen_solver <lanczos> (one of) lanczos rqi_symmlq
| -mat_partitioning_chaco_eigen_tol <0.001>: Tolerance for eigensolver (MatPartitioningChacoSetEigenTol) | - - -mat_partitioning_chaco_eigen_number <1>: Number of eigenvectors: 1, 2, or 3 (bi-, quadri-, or octosection) (MatPartitioningChacoSetEigenNumber)

Notes: See http://www.cs.sandia.gov/CRF/chac.html

### Keywords

Partitioning, create, context

### See Also

MatPartitioningSetType(), MatPartitioningType

Level:beginner
Location: src/mat/partition/impls/chaco/chaco.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages